package anywheresoftware.b4a.object;

import com.andexert.library.RippleView;

import android.view.View;
import android.view.ViewGroup;
import anywheresoftware.b4a.AbsObjectWrapper;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.ActivityObject;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;
import anywheresoftware.b4a.BALayout.LayoutParams;
import anywheresoftware.b4a.objects.PanelWrapper;
import anywheresoftware.b4a.objects.ViewWrapper;
@ActivityObject
@ShortName("RippleView")
@Version(1.0f)
public class RippleViewWrapper extends AbsObjectWrapper<RippleView>{
	/**
	 * Adds a ripple effect to the view.
	 * Color - Ripple color.
	 * DurationMs - Animation duration in milliseconds.
	 * Centered - Whether to start the effect from the touch position or from the center.
	 */
	public void Initialize(BA ba, View View, int Color, int DurationMs, boolean Centered) {
		setObject(new RippleView(ba.context, Color, DurationMs, Centered));
		ViewGroup vg = (ViewGroup) View.getParent();
		vg.removeView(View);
		LayoutParams lp = (LayoutParams) View.getLayoutParams();
		getObject().addView(View, 0, new ViewGroup.LayoutParams(lp.width, lp.height));
		vg.addView(getObject(), lp);
	}
}
